---
title: "acos"
excerpt: "Compute the arccosine of a number (in radians)."
layout: manual
---

Compute the arccosine of a number (in radians).



```js
acos(num: number) -> number
```

### Tags

* `math`

### Examples

```js
const sketch001 = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> angledLine({
       angle: toDegrees(acos(0.5)),
       length: 10
     }, %)
  |> line([5, 0], %)
  |> lineTo([12, 0], %)
  |> close(%)

const extrude001 = extrude(5, sketch001)
```

![Rendered example of acos 0](data:image/png;base64,[encoded data, 72944 characters])

### Arguments

* `num`: `number` (REQUIRED)

### Returns

`number`



